#-------------------------------------------------------------------------------
#
# Thomas Thomassen
# thomas[at]thomthom[dot]net
#
#-------------------------------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

#-------------------------------------------------------------------------------

module TT
  module Lib
  
  ### CONSTANTS ### ------------------------------------------------------------
  
  # Plugin information
  PLUGIN_ID       = File.basename( __FILE__ ).freeze
  PLUGIN_NAME     = 'TT_Lib²'.freeze
  PLUGIN_VERSION  = '2.9.1'.freeze
  
  
  ### EXTENSION ### ------------------------------------------------------------
  
  unless file_loaded?( __FILE__ )
    # Since this is a library there is no need for the SketchupExtension to load
    # the whole library. One want only what is needed to be loaded.
    # Therefore the SketchupExtension is set to load itself. The `file_loaded`
    # checks are needed to avoid infinite loop.
    #
    # Currently one could have just spesified a non-existant file - no errors
    # are raised - but that could change.
    #
    # The purpose of this file is entirely to make it compatible with the
    # Extension Warehouse.
    file_loaded( __FILE__ )
    ex = SketchupExtension.new( PLUGIN_NAME, __FILE__ )
    ex.description = 'Library of shared functions used by other extensions.'
    ex.version     = PLUGIN_VERSION
    ex.copyright   = 'Thomas Thomassen © 2010-2013'
    ex.creator     = 'Thomas Thomassen (thomas@thomthom.net)'
    Sketchup.register_extension( ex, true )
  end
  
  end # module Lib
end # module TT

#-------------------------------------------------------------------------------

file_loaded( __FILE__ )

#-------------------------------------------------------------------------------